[package]
name = "guntrader"
version = "0.3.1"
authors = ["Johann Woelper <woelper@gmail.com>"]
edition = "2018"
default-run = "guntrader"

[dependencies]
reqwest = { version = "*", features = ["blocking"] }
select = "0.4.3"
chrono = { version = "0.4.10", features = ["serde"] }
parse_duration = "1.0.1"
serde = "*"
serde_derive = "*"
serde_json = "*"
rocket = "*"
lazy_static = "*"
url = "*"
urldecode = "0.1.1"
log = "0.4"
env_logger = "*"

[dependencies.rocket_contrib]
version = "0.4.2"
default-features = false
features = ["json", "serve"]

[[bin]]
name = "guntrader"
path = "src/main.rs"

# [[bin]]
# name = "test"
# path = "src/test.rs"